WinCC

Examples See also History Extra
WinCC

This section contains information on the following topics:
  • Security information
  • Data protection
  • Notes on use
  • Migration
  • Engineering System
  • System-wide functions
  • Compiling and loading
  • Runtime
  • HMI devices
  • Add-ons


Security information

Security information Passwords Integrated Web server Communication via Ethernet Use of SSL 3.0 Network settings
Security information

Security information

Siemens provides products and solutions with industrial security functions that support the secure operation of plants, systems, machines and networks.

In order to protect plants, systems, machines and networks against cyber threats, it is necessary to implement – and continuously maintain – a holistic, state-of-the-art industrial security concept. Siemens’ products and solutions only form one element of such a concept.

Customer is responsible to prevent unauthorized access to its plants, systems, machines and networks. Systems, machines and components should only be connected to the enterprise network or the internet if and to the extent necessary and with appropriate security measures (e.g. use of firewalls and network segmentation) in place.

Additionally, Siemens’ guidance on appropriate security measures should be taken into account. For more information about industrial security, please visit

http://www.siemens.com/industrialsecurity

Siemens’ products and solutions undergo continuous development to make them more secure. Siemens strongly recommends to apply product updates as soon as available and to always use the latest product versions. Use of product versions that are no longer supported, and failure to apply latest updates may increase customer’s exposure to cyber threats.

To stay informed about product updates, subscribe to the Siemens Industrial Security RSS Feed under

http://www.siemens.com/industrialsecurity

Passwords

Various passwords are set by default in WinCC. For security reasons, you should change these passwords.

  • For HMI devices with version 12, the default password for the Sm@rtServer and for the integrated Web server is "100". A default password is not preset for HMI devices with version V13.

  • For the user "Administrator", the default password is "administrator".

Integrated Web server

It is always possible on a PC to access HTML pages in runtime, although the option "HTML pages" is deactivated. Setup always installs the standard pages of the Web Server on the PC. Assign an administrator password to prevent unauthorized access to the pages.

Communication via Ethernet

In Ethernet-based communication, end users themselves are responsible for the security of their data network. The proper functioning of the device cannot be guaranteed in all circumstances; targeted attacks, for example, can lead to overload of the device.

Use of SSL 3.0

For security reasons, the use of the protocol SSL 3.0 is not recommended on Comfort Panels or in Runtime Advanced. The use of the protocol SSL 3.0 is disabled by default on Comfort Panels. If you nevertheless wish to activate the use of SSL 3.0, select the following in Internet Explorer or in "Start Center > Settings: Internet Options > Advanced > Use SSL 3.0".

For RT Advanced, the use of SSL 3.0 can be disabled in Internet Explorer or in the Control Panel under "Internet Options > Advanced" by deactivating the "Use SSL 3.0" option.

Network settings

The following tables show the network settings of each product which you need in order to analyze the network security and for the configuration of external firewalls:

WinCC Professional (without simulation)
Name | Port number | Transport protocol | Direction | Function | Description
ALM | 4410* | TCP | Inbound, Outbound | License service | This service provides the complete functionality for software licenses and is used by both the Automation License Manager as well as all license-related software products.
HMI Load | 1033 | TCP | Outbound | HMI Load (RT Basic) | This service is used to transmit images and configuration data to Basic Panels.
HMI Load | 2308 | TCP | Outbound | HMI Load (RT Advanced) | This service is used to transmit images and configuration data to panels.
RPC | ** | UDP | Inbound, Outbound | Client / server & ES communication (CCAgent) | This service is used by WinCC Professional and WinCC Runtime Professional.
* Default port that can be changed by user configuration ** Port is assigned automatically

WinCC Simulation for Basic Panels
Name | Port number | Transport protocol | Direction | Function | Description
HMI Load | 1033 | TCP | Inbound | HMI Load (RT Basic) | This service is used to transmit images and configuration data to Basic Panels.
EtherNet/IP | 44818 | TCP | Outbound | Ethernet/IP channel | The Ethernet/IP protocol is used for connections to Allen Bradley PLCs.
 | 2222 | UDP | Inbound | Ethernet/IP channel | The Ethernet/IP protocol is used for connections to Allen Bradley PLCs.
Modbus TCP | 502 | TCP | Outbound | Modbus TCP channel | The Modbus TCP protocol is used for connections to Schneider PLCs.
RFC 1006 | 102 | TCP | Outbound | S7 channel | Communication with the S7 controller via Ethernet/PROFINET
Mitsubishi MC | 5002 | TCP | Outbound | Mitsubishi MC channel | The Mitsubishi protocol is used for connections to Mitsubishi PLCs.

WinCC Simulation for Panels and Runtime Advanced
Name | Port number | Transport protocol | Direction | Function | Description
DCP | --- | Ethernet | Outbound | PROFINET | The DCP protocol (Discovery and basic Configuration Protocol) is used by PROFINET and provides the basic functionality for locating and configuring PROFINET devices.
LLDP | --- | Ethernet | Inbound, Outbound | PROFINET | The LLDP protocol (Link Layer Discover Protocol) is used by PROFINET for topology detection.
SMTP | 25 | TCP | Outbound | SMTP Communication | This service is used by WinCC Runtime Advanced to send e-mails.
HTTP | 80* | TCP | Inbound | HTTP channel server HTML pages | The web server is only available when HTTP channel servers or HTML pages are activated The used port may differ depending on automatically selected settings.
RFC 1006 | 102 | TCP | Outbound | S7 channel | Communication with the S7 controller via Ethernet/PROFINET
NTP | 123 | UDP | Outbound | Time synchronization | The NTP protocol (Network Time Protocol) is used for time synchronization in IP-based networks.
SNMP | 161 | UDP | Outbound | PROFINET | The SNMP client functionality is used by STEP 7 to read status information from PROFINET devices.
HMI Load | 2308 | TCP | Outbound | HMI Load (RT Advanced) | This service is used to transmit images and configuration data to panels.
HTTPS | 443* | TCP | Inbound | HTTP channel server HTML pages | The web server with HTTPS protocol is only available when HTTP channel servers or HTML pages are activated. The used port may differ depending on automatically selected settings.
VNC server | 5900* | TCP | Inbound | Sm@rtServer | This service is only available when Sm@rtService is activated.
 | 5800* | TCP | Inbound | Sm@rtServer | This service is only available when Sm@rtService is activated.
VNC client | 5500 | TCP | Outbound | Sm@rtServer | This service is only available when Sm@rtService is activated.
* Default port that can be changed by user configuration

WinCC Simulation for Runtime Professional
Name | Port number | Transport protocol | Direction | Function | Description
RPC | ** | UDP | Inbound, Outbound | Client / server & ES communication (CCAgent) | This service is used by WinCC Professional and WinCC RT Professional.
RPC | ** | UDP | Inbound, Outbound | Client / server communication (CCEServer / CCEClient) | This service is used by WinCC Runtime Professional.
HTTP | 80 | TCP | Inbound, Outbound | Client / server communication (CCEServer / CCEClient) | This service is used by WinCC Runtime Professional.
RFC 1006 | 102 | TCP | Outbound | S7 channel | Communication with the S7 controller via Ethernet/PROFINET
OPC UA | 4840 | TCP | Inbound | OPC UA server | This service is required for primary communication via OPC UA. It is activated and configured during installation.
OPC UA discovery | 52601 | TCP | Inbound | OPC UA server | This service provides information about the installed OPC server. It is installed and configured by the OPC UA server.
DCOM | 135 | TCP | Inbound | OPC server | This service is part of the Windows operating system. Since communication via OPC (DA) is based on DCOM, this service is required to initialize OPC (DA) connections.
DCOM | ** | TCP | Inbound | OPC server | The communication via OPC (DA) is based on DCOM and uses unspecified ports assigned by the system. This should be taken into consideration when using OPC (DA) and creating rules for the firewall.
HTTP | 80 | TCP | Inbound | OPC server | This service is required for primary communication via OPC XML. It is activated and configured during installation.
NetBIOS | 137 | UDP | Inbound | OPC server | This service is part of the Windows operating system. Access to this service is required by OPC-Scout, for example, for browsing.
NetBIOS | 138 | UDP | Inbound | OPC server | This service is part of the Windows operating system. Access to this service is required by OPC-Scout, for example, for browsing.
SNMP | 161 | UDP | Outbound | SNMP OPC server | This service is used by the SNMP OPC server to change or query data on network drives, for example.
SNMP Traps | 162 | UDP | Inbound | SNMP OPC server | This service is used by the SNMP OPC server to query events from network drives, for example.
** Port is assigned automatically

PROFINET protocols for Panels and Runtime Advanced
Name | Port number | Transport protocol | Direction | Function | Description
DCP | --- | Ethernet | Outbound | Lifelist, PROFINET Discovery and configuration | The DCP protocol (Discovery and basic Configuration Protocol) is used by PROFINET and provides the basic functionality for locating and configuring PROFINET devices.
LLDP | --- | Ethernet | Inbound, Outbound | PROFINET Link Layer Discovery protocol | The LLDP protocol (Link Layer Discover Protocol) is used by PROFINET for topology detection.
MRP | --- | Ethernet | Outbound | PROFINET medium redundancy | The MRP protocol (Medium redundancy protocol) enables control of redundant transmission paths using a ring topology.
PROFINET IO Data | --- | Ethernet | Inbound, Outbound | PROFINET Cyclic IO data transfer | Cyclic data exchange is used by panels for direct keys and LEDs.
ARP | --- | Ethernet | Inbound, Outbound | Name Address Resolution | This protocol is used to resolve network names and assign IP addresses.
PROFINET Context Manager | 34964 | UDP | Inbound, Outbound | PROFINET connection less RPC | The PROFINET Context Manager provides an endpoint mapper in order to establish an application relation (PROFINET AR).

Communication connections for Panels and WinCC Runtime Advanced
Name | Port number | Transport protocol | Direction | Function | Description
Telnet | 23 | TCP | Inbound | Telnet | This service can be used for maintenance.
SMTP | 25 | TCP | Outbound | SendEMail | This service is used by Windows CE / PC Runtime to send e-mails.
HTTP | 80* | TCP | Inbound | Hypertext Transfer Protocol | The HTTP protocol is used for communication with the HMI web server.
RFC 1006 | 102 | TCP | Outbound | S7 channel | Communication with the S7 controller via Ethernet/PROFINET.
NTP | 123 | UDP | Outbound | Time synchronization | The NTP protocol (Network Time Protocol) is used for time synchronization in IP-based networks.
DCOM*** | 135 | TCP | Inbound | OPC server | This service is a component of the Microsoft Windows operating system. Communication via OPC (DA) is based on DCOM. This service is therefore required to initialize OPC (DA) connections.
DCOM*** | ** | TCP | Inbound | OPC server | The communication via OPC (DA) is based on DCOM and uses unspecified ports assigned by the system. This should be taken into consideration when using OPC (DA) and creating rules for the firewall.
NetBIOS over TCP/IP | 137 | UDP | Outbound | With the use of Remote File Share | Register / log on to a remote server.
NetBIOS over TCP/IP | 138 | UDP | Outbound | With the use of Remote File Share | Register / log on to a remote server.
SNMP | 161 | UDP | Outbound | Simple Network Management Protocol | The SNMP client functionality is used by STEP 7 to read status information from PROFINET devices.
HTTPS | 443* | TCP | Inbound | Secure Hypertext Transfer Protocol | The HTTP protocol is used for communication with the HMI web server via Secure Socket Layer (SSL).
Modbus TCP | 502* | TCP | Outbound | Modbus TCP channel | The Modbus TCP protocol is used for connections to Schneider PLCs.
Mitsubishi MC | 1025* | TCP | Outbound | Mitsubishi MC channel | The Mitsubishi protocol is used for connections to Mitsubishi PLCs.
Printing | 1032 | TCP | Outbound | Printing | Printing on the control panel (via Ethernet).
HMI Load | 2308 | TCP | Outbound | Transfer | This service is used to transmit images and configuration data to panels. On Comfort Panels, this service has been replaced by DeviceManager and SCS as of V13. This service is used to transmit configuration data to WinCC Runtime Advanced.
HMI Load | 50523 | TCP | Outbound | Transfer | This port is used if port 2308 is not available. This service is used to transmit images and configuration data to panels. On Comfort Panels, this service has been replaced by DeviceManager and SCS as of V13. This service is used to transmit configuration data to WinCC Runtime Advanced.
ALM | 4410* | TCP | Inbound, Outbound | Application License Manager | This service of RT Advanced makes available the complete functionalities for software licenses and is used by the Automation License Manager.
OPC UA | 4870* | TCP | Inbound | OPC UA server | This service is required for communication via OPC UA.
HMI Load | 5001 | TCP | Outbound | Device Manager | This service is used to transmit images and Runtime to panels.
HMI Load | 5002 | TCP | Outbound | SCS (System Configuration Server) | This service is used to transmit configuration data to panels.
VNC client | 5500 | TCP | Outbound | Sm@rtServer | VNC client connection
VNC server | 5800* | TCP | Inbound | Sm@rtServer | VNC server connection HTTP
 | 5900* | TCP | Inbound | Sm@rtServer | VNC server connection
SIMATIC Logon | 16389* | TCP | Outbound | UMAC (User Management to the Access Control) | Register / log on to a remote server.
Allen Bradley Ethernet IP | 44818 | TCP | Outbound | Ethernet/IP channel | The Ethernet/IP protocol is used for connections to Allen Bradley PLCs.
Reserved | 49152 ... 65535 | TCP/UDP | Outbound |  | Dynamic port range is used, for example, to connect to the remote file sharing.
* Default port that can be changed by user configuration ** Port is assigned automatically. *** Supported by WinCC Runtime Advanced only.


Data protection

Data protection

Siemens observes the data protection guidelines, especially the requirements regarding data minimization (privacy by design). This means the following for this SIMATIC product: The product does not process / save any personal information, but only technical functional data (e.g. time stamps). If the user links this data to other data (e.g. shift plans) or if the user saves personal information on the same medium (e.g. hard disk) and therefore creates a personal reference in the process, the user has to ensure meeting the guidelines regarding data protection.


Notes on use

Contents Change in response after upgrading Installation path Working with standard user rights On-screen keyboard (RT Advanced) Device change – character sets (RT Professional) Texts in the simulation (RT Professional) Online delta loading with user-defined cycles (RT Professional) License transfer via S7USB Transferring licenses to a panel on 64-bit operating systems PostScript fonts Tasks with tag trigger
Notes on use

Contents

Information that could not be included in the online help and important information about product features.

Change in response after upgrading

The new WinCC version contains new features and improvements as compared to the previous version. The new version might therefore demonstrate slight differences in the names or the response of properties and functions after the upgrade. Unlike in previous versions, the standard properties of newly created objects can also be changed.

These differences in response can lead to errors when compiling the project.

Installation path

If you had the simulation installed in an earlier version, you cannot adjust the installation path during the installation.

Working with standard user rights

If you are working with standard user rights in Windows 7, "User Account Control (UAC)" must not be disabled.

The "User Account Control" is enabled in Windows 7 by default.

For more information on the "User Account Control", refer to the online help for Windows 7.

On-screen keyboard (RT Advanced)

Once you have opened TIA Portal, you can no longer access the on-screen keyboard.

To access the on-screen keyboard in Windows, use the following command: "Start > All Programs > Accessories > Ease of Access > On-screen keyboard".

Device change – character sets (RT Professional)

If you have configured different fonts on screen objects for multilingual texts in the various project languages, you should check the screens after an HMI device replacement from a panel to a PC-based runtime. The configured fonts might change if the device is replaced.

Texts in the simulation (RT Professional)

If a runtime language which does not correspond to an installed product language is used in the simulation, system texts are shown in an installed product language. Depending on the operating system and the installed product languages, this will be either English or Chinese.

If you wish to see all texts in Japanese, Korean or Taiwanese in the relevant language in the simulation, you should first install WinCC without simulation. Then install WinCC Runtime Professional with the required languages.

Online delta loading with user-defined cycles (RT Professional)

If you have configured new custom cycles in the "Cycles" editor, "Load > Software (compile all)" command when loading the project. Online delta loading is not possible.

License transfer via S7USB

You always need to run WinCC to transfer a license to a panel via S7USB.

Transferring licenses to a panel on 64-bit operating systems

If you are running a 64-bit operating system and the "Edit > Connect target systems > Connect HMI device" menu command is not available in Automation License Manager, open command line input and run the following command with administrator rights:

"%WINDIR%\system32\RegSvr32.exe" "%CommonProgramFiles%\siemens\AlmPanelPlugin\ALMPanelParam.dll"

PostScript fonts

Only fonts that contain TrueType data can be used in TIA Portal. PostScript fonts and open type fonts that contain PostScript data are not supported.

Tasks with tag trigger

A task with tag trigger is executed when the value of the internal tag is written, even if the value of the internal tag does not change.


Migration

Contents Migrating a project created with WinCC V7 Migrating an integrated project with ProTool objects Progress bar
Migration

Contents

Information that could not be included in the online help and important information about product features.

Migrating a project created with WinCC V7

A prerequisite for the migration is that this project was processed with at least WinCC V7 Update 3.

Migrating an integrated project with ProTool objects

If you migrate a WinCC flexible project integrated in STEP 7 and the error message "PROTOOL option package(s) missing in STEP 7" is output, you have installed WinCC flexible 2008 SP3 or later. Moreover, the project still contains objects that were configured using ProTool. Do not open the project with WinCC flexible. To migrate the project, proceed as follows:

  1. Open the project in the SIMATIC Manager.

  2. Execute the "Save as" command in the "File" menu.

  3. Enable the option "With reorganization" in the "Save project as" dialog.

  4. Click OK.

  5. Copy the project back to the original computer.

  6. Restart the migration.

Progress bar

As long as the progress bar still shows a value of 100%, the software is still busy running remaining tasks such as the closing of references. The software will not respond to user input while this status is given.


Engineering System

Engineering System

This section contains information on the following topics:
  • Screens and Screen Objects
  • Tags and connections
  • Alarm system and alarm displays
  • System functions and scripts
  • Reports
  • Recipes
  • User administration
  • Communication


Screens and Screen Objects

Contents Screen objects after HMI device replacement Grouping of screen objects Many visually different screen objects Dynamization of grouped objects (RT Professional) Dynamization of faceplates (RT Professional) Number of characters in text fields, lists and alarm texts Transparency in WinCC as of V13 Displaying SIMOTION PLC websites in the HTML browser Display differences between the configuration and the display on the HMI device GRAPH overview (RT Professional) Updating faceplates with the UDTs of the type "IEC timer" Higher-level controls with visibility animation System diagnostics view: "HMI access" access protection Fonts in the header of window objects (Panels, Runtime Advanced) Invalid graphic types in graphic lists after upgrading (Runtime Professional) Multilingual graphics in faceplates Network changes in the PLC code view (RT Professional) My controls Supported data types for animations
Screens and Screen Objects

Contents

Information that could not be included in the online help and important information about product features.

Screen objects after HMI device replacement

If you upgrade a device to the new HMI device versions, you should check the screens contained in the project. Because of the new appearance and improved operability, texts of symbolic I/O fields might not be completely legible and can be concealed by operator controls.

Grouping of screen objects

When you group screen objects in WinCC, performance problems can arise in WinCC in the case of large nesting depths.

Many visually different screen objects

The use of screen objects with many visually different properties (e.g. many different styles) can reduce performance in runtime and can increase the amount of available memory space used. Avoid using, for example, very many different corner radii: 0 pixel, 1 pixel, 2 pixels, 3 pixels, etc.

Dynamization of grouped objects (RT Professional)

For groupings with multiple nestings (group in group, faceplate in group, group in faceplate, etc.), only the events of the outermost group and the innermost objects can be used for dynamization with system functions. System functions that are configured at events of the lower-level group or lower-level faceplate are not executed.

The configuration of simultaneous motion animation of an object group within this group can be executed in runtime in a way other that what is expected. Check the sequence of the execution in runtime and adapt the configuration if necessary.

Dynamization of faceplates (RT Professional)

The dynamization of a faceplate instance with user data type connection is not intended, but can be realized in certain scenarios using an auxiliary tag. Read the information about this in FAQ 109766634.

Number of characters in text fields, lists and alarm texts

The number of characters that can be used in the text of a screen object is not constant. Control instructions and formatting are taken into consideration when entering text data and the maximum number of characters is reduced accordingly.

Transparency in WinCC as of V13

Transparent graphics can be displayed without any problems in runtime. This is true for all Comfort Panels and WinCC Runtime Advanced as of version 13.0.
To use the transparency in a graphic view or in a graphic I/O field, the "Fill pattern" property must be set to "Transparent" and the property "Use transparent color" must be disabled.

Displaying SIMOTION PLC websites in the HTML browser

If the SIMOTION PLC websites are not displayed correctly in the HTML browser, insert ""/basic"" after the website URL to display the websites in basic mode.

Display differences between the configuration and the display on the HMI device

The display of the text configured in a screen object might be different on the HMI device due to the display configuration. If you are using the options for automatic size adjustment in the configuration, check the display on your HMI device in every language.

If texts that were configured with the "Fit object to contents" option cannot be displayed in full, they are reduced slightly on the HMI device. If this reduction leads to a distorted display of texts, disable the "Fit object to contents" option and expand the text with additional blanks. Optionally, you can increase the width of the object or use a shorter formulation for the text.

GRAPH overview (RT Professional)

When upgrading to V14, the signature of the C function at the "Click" event is changed. The propertyName parameter from the previous versions has been removed. Functions that access this parameter are shown as faulty after the upgrade.

Updating faceplates with the UDTs of the type "IEC timer"

The "ST" element was automatically removed from the user-defined PLC data types (UDT) that use the "IEC timer" data type. Adapt the faceplates containing these UDTs to a new version of the UDT without an ST element.

A detailed description of this can be found in the FAQ with the entry ID "109740393" in the SIMATIC Customer Online Support.

Higher-level controls with visibility animation

The higher-level configuration of table-based controls with visibility animation can lead to problems for touch operation with devices using the operating system Windows CE/Embedded Compact.

System diagnostics view: "HMI access" access protection

When using the "HMI access" protection level in conjunction with the SIMATIC S7-1200 PLC, correct display of the diagnostic data can only be ensured as of firmware version 4.1.

Fonts in the header of window objects (Panels, Runtime Advanced)

The font that you configure in the runtime settings of the device is not used in the alarm window, system diagnostics window and dialog headers.

Invalid graphic types in graphic lists after upgrading (Runtime Professional)

When you upgrade your project to TIA Portal version V16, invalid graphic types in the graphic list result in compiling errors that were displayed as warnings in V14.

To avoid error messages during compiling, you need to correct the graphic type in the graphic list if necessary.

Multilingual graphics in faceplates

In a faceplate, insert a graphic in a screen object. This graphic is used in all specified project languages.

If you open the graphic using the shortcut menu command "Edit" with the option "Edit graphic centrally", the graphic is changed only for the currently set project language after editing and saving in an external editor, such as MS Paint. The change of the corresponding graphic is visible in all objects that use this graphic.

Network changes in the PLC code view (RT Professional)

When a ProDiag alarm is pending, network changes in the PLC code view are updated in runtime.

In order for network changes in the PLC code view to be displayed correctly for criteria analysis, the message must be triggered again.

My controls

"My controls" might not be displayed correctly in the engineering system. However, they can be configured without restrictions. There are also no restrictions for the representation and operability in Runtime. If this control is based on OCX technology, a switch to .Net is recommended.

Supported data types for animations

Integer and Boolean values are permissible as data types for animations within an image.


Tags and connections

Contents Multiplexing tags (Basic Panels) Tags with symbolic addressing and "Char Array" data type (RT Professional) Length specification for tags of the "String" type (RT Professional) Tag of the "String" type for connections with SIMOTION PLCs (Panels, RT Advanced) Tags under "Tag box ID" (Mobile Panel) Array elements in WinCC Use of 64-bit data types System diagnostics of PLCs in the R/H system in non-redundant mode
Tags and connections

Contents

Information that could not be included in the online help and important information about product features.

Multiplexing tags (Basic Panels)

If you multiplex a tag with an external tag on a Basic Panel, the address is read from the PLC in runtime during the first read cycle. The value of the address read is not available until the second read cycle.

Tags with symbolic addressing and "Char Array" data type (RT Professional)

Tags with symbolic addressing and the "WString" data type are not released for communication of RT Professional and SIMATIC S7-1200 V3.

Length specification for tags of the "String" type (RT Professional)

The length specification for the internal HMI tags of the "String" type have no effect in the "Tag" editor. If you want to limit the tag length of an input field or output field, for example, limit the length using VB scripting or C scripting.

Tag of the "String" type for connections with SIMOTION PLCs (Panels, RT Advanced)

The length of the String tags must not exceed 210 characters for SIMOTION controllers.

It is possible to create a String tab with more than 210 character in the engineering system. However, the tag in question is not written in Runtime. A message stating that the value limit is outside the tag appears.

In this case, adjust the length of the String tag.

Tags under "Tag box ID" (Mobile Panel)

The tag that you configure under "Tag box ID" with "Runtime Settings > General" may only be used in read-only mode.

No values may be written in this tag, however, they may be read in scripts, for example, or output to screens.

Array elements in WinCC

If you have connected an HMI tag with an array from a STEP 7 data block which does not start with a low limit of 0, the array elements are mapped in WinCC to the low limit of 0.

To ensure that you do not have to rethink between the STEP 7 indices and the WinCC indices when accessing the individual array elements, the low limits of arrays should also start at 0 in STEP 7.

Use of 64-bit data types

The use of 64-bit data types may result in a slight loss of accuracy as these data types are mapped in the HMI channel to the data type Double. It is therefore possible that integer data types are displayed with decimal places.

System diagnostics of PLCs in the R/H system in non-redundant mode

Two PLCs and two corresponding connections are configured in an R/H system. If the R/H system is not in redundant mode, it may happen that the system diagnostics views of the connections show different diagnostics status symbols for the same PLC.


Alarm system and alarm displays

Contents Boolean tags in alarm logs PLC alarms Controller alarms in runtime (WinCC Professional) Copying projects with integrated connections
Alarm system and alarm displays

Contents

Information that could not be included in the online help and important information about product properties.

Boolean tags in alarm logs

Bool type tags are recognized as 0 and -1 in the alarm log. If you use a text list that is controlled by a tag of the type Bool in an alarm log, then add the entry for the value -1 to the corresponding text list.

PLC alarms

A PLC alarm is only visible in the "Alarms" editor of an HMI device if there is an instance data block for this FB.

Controller alarms in runtime (WinCC Professional)

If you upgrade a project from versions V13SP1 or V13 SP2 to versions V14, V14 SP1, V15, V15.1, V16, you need to compile the project and load it in the controller and HMI device. Otherwise, the controller alarms are shown crossed out in the alarm view.

Copying projects with integrated connections

If you copy the devices with their integrated connections (between HMI devices and controllers) from a project to a global library and insert it from there in a new project, then the information about controller alarms can get lost on the HMI device. To avoid this loss of information, first copy all controllers and only then all HMI devices to the new project.


System functions and scripts

Contents Scripts for service projects (RT Professional) Simulation with script debugger Trigger tags of user-defined functions (RT Professional) User-defined functions in faceplates System functions of the bit processing (Mobile Panels and RT Advanced) Properties no longer used (Comfort Panels and RT Advanced) Transferring parameters to VBScripts (Panels and RT Advanced) Supply trend view by means of user-defined function Maximum number of parameters (Panels and RT Advanced) "ShowLogonDialog" system function (Panels and RT Advanced)
Debug Err
System functions and scripts

Contents

Information that could not be included in the online help and important information about product features.

Scripts for service projects (RT Professional)

Since no interactive user is usually logged in service projects, C scripts and VB scripts lead to problems in the following cases:

  • When the scripts require interaction, for example, operator input.

  • When the scripts show message boxes.

There is no common data area for C scripting in service mode. Thus, for example, no global C variables can be exchanged between the "Scheduled tasks" and "Screens".

Simulation with script debugger

To start the "Simulation with script debugger" from TIA Portal, the registry key
HKEY_CLASSES_ROOT\CLSID\{834128A2-51F4-11D0-8F20-00805F2CD064}\LocalServer32 must contain an entry "(Standard)" of the type "String", which contains the whole path of the standard script debugger "devenv.exe". The debugger can be connected to a simulation which is already running without this registry key.

Trigger tags of user-defined functions (RT Professional)

If you have configured an HMI or PLC user data type on a screen, you cannot use the elements of the user data type as trigger tags in newly created or changed user-defined user functions.

User-defined functions in faceplates

If you want to access tags in a faceplate with a user-defined function, you cannot dynamically compose the name of the tag.

System functions of the bit processing (Mobile Panels and RT Advanced)

Because of events it is not possible to manipulate bit arrays. System functions, e.g. InvertBit, SetBit etc., must not contain any elements of a bit array as argument.

Properties no longer used (Comfort Panels and RT Advanced)

In WinCC V13, many new visual properties have been introduced and many existing properties have been harmonized.

In the course of revision of the object properties, some properties that could be used in VB scripts in earlier versions of WinCC are no longer supported for use in WinCC V13. Scripts that use properties that are no longer supported remain valid, but the relevant calls within the scripts have no function. These limitations pertain exclusively to Comfort Panels and RT Advanced in device version V13.0.

The following table shows the properties of screen objects that are no longer being used:

Property | Screen object
BorderBrightColor3D | Slider
BorderColor | Text field, I/O field, symbolic I/O field, date/time field
BorderInnerWidth3D | Slider
BorderOuterWidth3D | Slider
BorderShadeColor3D | Slider
BorderStyle3D | Text field, I/O field, button, symbolic I/O field, graphic I/O field, date/time field, bar, switch
BorderWidth | Text field, symbolic I/O field
CenterColor | Gauge
DialColor | Gauge
EdgeStyle | Text field, I/O field

Transferring parameters to VBScripts (Panels and RT Advanced)

In WinCC, you can define whether the parameters of VB scripts "ByRef" (address of the parameter) or "ByVal" (value of the parameter) are transferred.

Transferring the address of the parameter using "ByRef" (Call by Reference) is possible only for the internal tags of the VB script. With HMI tags, the value of the parameter is always transferred regardless of whether the parameter was defined as "ByRef" or as "ByVal".

Supply trend view by means of user-defined function

When you read values from a log with a VBS function to display them in a trend view, you must ensure that the difference between the time stamps is greater than zero.

Maximum number of parameters (Panels and RT Advanced)

The maximum number of parameters of a global function is 8 for the type "sub" and 7 for the type "func".

"ShowLogonDialog" system function (Panels and RT Advanced)

For Panels and Runtime Advanced, the "ShowLogonDialog" system function should not be configured for the "Value change" event of a tag.


Reports

Contents Printing reports (Panels)
Reports

Contents

Information that could not be included in the online help and important information about product features.

Printing reports (Panels)

Depending on the printer used, the objects placed at the edge of the reports can be cut off during printing.

Make sure that your report has a suitable size.


Recipes

Contents Recipe synchronization (Basic Panels, Panels, Comfort Panels and RT Advanced)
Recipes

Contents

Information that could not be included in the online help and important information about product features.

Recipe synchronization (Basic Panels, Panels, Comfort Panels and RT Advanced)

When data record values are sent to the controller, the values are only validated if the "Manual transfer of individually modified values (teach-in mode)" option is selected for the recipe under "General > Synchronization > Settings".


User administration

Contents UMAC domain user
User administration

Contents

Information that could not be included in the online help and important information about product features.

UMAC domain user

In WinCC V16.0, only local UMAC users may be used, no UMAC domain users.


Communication

Contents Establishing a connection to WinCC Runtime Advanced Connection changing for non-integrated connections Connection interruptions with Mitsubishi PLCs Self-signed certificates (RT Professional) Accuracy of the "DTL" data type Limited number of possible HMI connections Use of PROFINET IO with panel HMI devices RT Advanced communication via Station Manager (SIMATIC NET) with an S7-1200 Changing the IP settings and device name of a PLC in the Control Panel of the HMI device (Basic Panels) "Set the IP suite (address) of the PLC in the Control Panel" with SIMATIC S7-1200 V1 (Basic Panels) Connections via PROFIBUS DP Switching a connection Communication of Runtime Professional with SIMATIC S7-1200 RT Advanced in the Station Manager Raw data communication in redundant projects (RT Professional) Non-integrated connection to a SIMATIC S7-1500 software PLC (RT Advanced) Transfer areas of the operating mode IO device and DP slave of the HMI devices Getting diagnostics data by means of HMI devices PROFIenergy communication Number of SmartClient connections
Communication

Contents

Information that could not be included in the online help and important information about product features.

Establishing a connection to WinCC Runtime Advanced

Ensure that the device version configured in the Engineering System matches the installed Runtime version; otherwise, communication when the project is loaded will not be established or will be delayed.

If the device version does not match the installed Runtime version, you have the following options:

  1. Change the device version configured in the Engineering System.

  2. Install the version of WinCC Runtime Advanced corresponding to the configured device version.

Connection changing for non-integrated connections

If you want to change the communication from a non-integrated connection to another non-integrated connection, for example from Omron to Mitsubishi, you must ensure that the data types of the tags are also supported in the new connection.

Connection interruptions with Mitsubishi PLCs

After multiple connection interruptions, a situation might arise where all the connection resources of the Mitsubishi PLC are in use and the connection can no longer be established. We recommend that you check these connection resources in the PLC program of the controller and enable them again.

Self-signed certificates (RT Professional)

Self-signed certificates are no longer supported.

If a self-signed certificate is detected on the server side, the authentication takes place via the previously distributed PSK key (pre-shared key). If the PSK keys of the communication partners do not match, no communication is established.

Accuracy of the "DTL" data type

The "DTL" data type supports time information down to the nanosecond range. Because panels only support time information down to the millisecond, the following restrictions arise when used at the area pointers:

  • Area pointer "Date/time"
    For the transmission of time information from a panel to the PLC, the smallest unit of time is 1 millisecond. The value range from microseconds to nanoseconds of the "DTL" data type is filled with zeros.

  • Area pointer "Date/time PLC"
    For the transmission of time information from a PLC to a panel, the range from microseconds to nanoseconds is ignored. The time information down to and including milliseconds continues to be processed on the panel.

Limited number of possible HMI connections

An error message is displayed during compilation of a device indicating that the configuration of the HMI connection in the "Devices & Networks" editor is invalid. The reason might be that the maximum number of possible connections of the HMI device or PLC has been exceeded.

Check the maximum number of available connections. Consult the device manuals of the devices you are using.

Use of PROFINET IO with panel HMI devices

When using PROFINET IO to connect the direct keys and LEDs of HMI devices to the PLC, you can define an offset for the address area of the inputs and outputs during configuration in HW Config.

The following restriction applies when a PROFINET IO-capable S7-400 CPU is used with one of the HMI devices listed below:

The offset for the start of the address area of the inputs must not be greater than the offset for the start of the address area of the outputs.

The restriction applies to the following HMI devices:

  • Mobile Panel 177

To configure the address parameters, open the PLC that contains the CPU of the 400 series in HW Config. Select the HMI device that is connected via PROFINET IO from the station window of HW Config. A table with the properties of the HMI device is displayed at the bottom of the station window in the detail view. Select the line containing the addresses of the HMI device in the table and open the object properties using the shortcut menu.

Enable the "Addresses" tab in the "Object properties" dialog. Configure the offset for the inputs under "Inputs > Start". Configure the offset for the outputs under "Outputs > Start".

RT Advanced communication via Station Manager (SIMATIC NET) with an S7-1200

For communication of a SIMATIC S7-1200 with a PC with WinCC RT Advanced via a router, the following restrictions apply to the PC:

  • Windows 7: Only with installed SIMATIC NET 8.1

These restrictions also apply when you use the Station Manager. Connections with the help of the Station Manager of Runtime Advanced are always treated as routed connections.

Changing the IP settings and device name of a PLC in the Control Panel of the HMI device (Basic Panels)

The Control Panel is open in the "Service and Commissoning > IP-Adaptation" menu on the HMI device. If you want to change the IP settings or the device name of a PLC, note:

In the Engineering System, you need to have selected the following options in the Inspector window of the PLC under "Properties > General > PROFINET interface > Ethernet addresses":

  • "Set IP address using a different method"

  • "Set PROFINET device name using a different method"

"Set the IP suite (address) of the PLC in the Control Panel" with SIMATIC S7-1200 V1 (Basic Panels)

The function "Set the IP suite (address) of the PLC in the Control Panel" has not been approved for the following PLCs:

  • SIMATIC S7-1200 V1

Connections via PROFIBUS DP

When a connection between a PLC and an HMI device via PROFIBUS DP is interrupted and then re-established, sporadically all other PROFIBUS DP connections in the communication network are interrupted and re-established.

De-energize the disconnected station before reconnecting it.

Switching a connection

A connection can be interrupted when it is switched from an HMI device to a SIMATIC S7-300/400, SIMATIC S7-1500 or SIMATIC S7-1200 controller.

Note the following settings in the SIMATIC S7-1500 or SIMATIC S7-1200 PLCs:

  • Absolute addressing of tags

  • The "Disable PUT-GET communication" option must be selected

  • The "Complete protection" protection level must not be set

Communication of Runtime Professional with SIMATIC S7-1200

In productive operation, communication of WinCC Runtime Professional with SIMATIC S7-1200 is only released for single-station systems.

RT Advanced in the Station Manager

If RT Advanced and WinAC RTX use the same communication processor of a PC, HMI communication with SIMATIC S7-1200 and SIMATIC S7-1500 is not possible.

Raw data communication in redundant projects (RT Professional)

Simatic.NET, Named Connections and various communication blocks, such as BSEND/BRCV, for example, can only be used to a limited extent in a redundantly configured PC station because the connection parameters for the redundant partner server cannot be configured.

Non-integrated connection to a SIMATIC S7-1500 software PLC (RT Advanced)

A non-integrated connection between an HMI device and a SIMATIC S7-1500 software PLC is not supported in WinCC.

Transfer areas of the operating mode IO device and DP slave of the HMI devices

If you have activated the operating mode "IO device" or "DP slave" for HMI devices, no transfer areas should be added or deleted in the properties of the HMI device. If you have inadvertently deleted or added a transfer area, disconnect and reconnect the controller.

Getting diagnostics data by means of HMI devices

In contrast to the description of diagnostics icons for modules and devices in the information system, the following icon has the meaning specified here for HMI devices:

Icon | Meaning
 | No diagnostics data is available.

PROFIenergy communication

To set up PROFIenergy communication, contact Customer Support.

Number of SmartClient connections

Even if the Basic Panel allows an unlimited number of SmartClient connections, configuring a maximum of two connections is recommended. Any additional connection affects performance.


System-wide functions

Contents Using system diagnostics in the device proxy Initialize the device proxy with data from a project of the previous version Import and export of library texts
System-wide functions

Contents

Information that could not be included in the online help and important information about product features.

Using system diagnostics in the device proxy

To use the system diagnostics function in an IPE device proxy, for example, a system diagnostics view, insert the PLC alarms as content of a device proxy.

Initialize the device proxy with data from a project of the previous version

A device proxy cannot be initialized with the data from a project of the associated full version in a project with the Service Pack version.
Upgrade the source project to the Service Pack version to initialize the device proxy in the target project with the data from the source project.

Import and export of library texts

The following objects are not supported when importing and exporting library texts:

  • Import: Recipes, Recipe elements, Recipe data records, HMI alarms, Text list entries, Screens, Reports.

  • Export: Text list entries, Screens, Reports.

  • Import and export of library type "Screen".


Compiling and loading

Contents Compiling and loading Checking the address parameters Error message when downloading data to the PLC Comfort panels as of device version 13.0: Backing up data while loading projects Displaying characters in transfer alarms Reducing the project size
Microsoft KB3083806
Compiling and loading

Contents

Information that could not be included in the online help and important information about product features.

Compiling and loading

If internal errors or warnings occur during compiling, compile the complete project using the command "Compile > Software (rebuild all)" in the shortcut menu of the HMI device.

Before you start productive operation with your project, compile the entire project using the "Compile > Software (rebuild all)" command from the shortcut menu of the HMI device.

If you are using HMI tags that are connected to control tags in your project, compile all modified blocks with the command "Compile > Software" in the shortcut menu before you compile the HMI device.

Checking the address parameters

When an HMI device is compiled in the project tree with the command "Compile > Hardware and software (changes only)" in the shortcut menu, the address parameters of the HMI device, such as the IP address, are not checked. If you want to ensure that the address parameters are checked as well, you will have to compile the HMI device using the "Compile" button in the "Devices & networks" editor of the toolbar.

Error message when downloading data to the PLC

A panel and a PLC are connected and communicating with other.

If a tag is accessed while downloading data from the panel to the PLC, an error message is displayed on the panel.

Comfort panels as of device version 13.0: Backing up data while loading projects

If the transfer is interrupted for Comfort Panels with a device version 13.0 or higher, WinCC automatically ensures that no data is lost and that existing data is only deleted on the HMI device after complete transmission.

Displaying characters in transfer alarms

If characters are not displayed correctly in the transfer alarms during transfers to HMI devices with the device version V12 or older, please check the region and language settings in Windows. Set the corresponding language under "Language for non-Unicode programs".

Reducing the project size

When you compile your HMI device, an alarm appears informing you that the size of your project is approaching the system limits for the corresponding HMI device. In this case, perform a complete compilation of the software to reduce the project size. To do this, use the command "Compile > Software (rebuild all)".


Runtime

Runtime

This section contains information on the following topics:
  • Notes on operation in Runtime
  • Notes on operation of panels in Runtime
  • Notes on operation of Runtime Advanced
  • Notes on operation of Runtime Professional
  • Notes on operation of Runtime Unified


Notes on operation in Runtime

Contents Focus in runtime Language behavior - Layout of on-screen keyboard Tag values exceed the maximum length Empty alarm texts Duration of log initialization (Panels, RT Advanced) Large logs delay the ending of runtime (Basic Panels 2nd Generation) Slow reaction of SmartServer Ending screensaver on the Sm@rtServer Avoiding corrupt files during power failure Variable fonts on HMI devices
Notes on operation in Runtime

Contents

Information that could not be included in the online help and important information about product features.

Focus in runtime

If you have configured a low-contrast combination of focus color and border color for an HMI device with version 12.0.0 or earlier, the focus may no longer be identifiable in runtime after you change the device version in the TIA Portal. Change one of the two colors.

Language behavior - Layout of on-screen keyboard

The layout of the on-screen keyboard does not change when you switch to a runtime language that is not installed for the keyboard layout.

In this case, the language setting for the keyboard remains set at the most recent valid language or the language setting for the default keyboard layout of Windows is used.

Tag values exceed the maximum length

You enter a character string in a string tag via an I/O field. If the character string exceeds the configured number of tags, the character string will be shortened to the configured length.

Empty alarm texts

Runtime is running with a project. The project is saved on a network drive.

In the event of interruptions to the network drive connection, Runtime may attempt to load alarm texts from the network drive.

In the event of disconnection, the alarm window or the alarm view remains empty.

To avoid this, copy the project to a local drive before the starting the project in Runtime.

Duration of log initialization (Panels, RT Advanced)

Initialization of the logs on some storage media can take up to 5 minutes. The successful completion of initialization is immediately confirmed by a system event. If there is no storage medium for logging when runtime starts, the appearance of the system event can also take up to 5 minutes.

Large logs delay the ending of runtime (Basic Panels 2nd Generation)

When very large logs are used, ending runtime can take a long time. Use segmented logs as an alternative to very large circular logs.

Slow reaction of SmartServer

The following programs may start and respond very slowly with Windows 7:

  • HMI TouchInputPC

  • SmartServer: <Ctrl+Alt+Del> shortcut in the logon dialog

The delay is caused by the callback for the Internet certificate validation.

Remedy:

You can find the following files on the product DVD under:
Support\Windows\CRL_Check or CD_RT\ Support\Windows7\CRL_Check\ :

  • DisableCRLCheck_LocalSystem.cmd

  • DisableCRLCheck_CurrentUser.cmd

  1. Run the "DisableCRLCheck_LocalSystem.cmd" file with administrator rights. Select the command "Run as administrator" from the shortcut menu of the file.

  2. Reboot the PC.

If the problem persists, follow these steps:

  1. Double-click the file and run the "DisableCRLCheck_CurrentUser.cmd" file with user rights.

  2. Reboot the PC.

    Note

    The callback for the certificate validation is disabled for all users or PCs. To restore the original state, perform the following files:

    • RestoreDefaults_LocalSystem.cmd

    • RestoreDefaults_CurrentUser.cmd

    You can find the files in the following directory of the product DVD:

    • Support\Windows\CRL_Check or CD_RT\Support\Windows7\CRL_Check\

Ending screensaver on the Sm@rtServer

When the screensaver is active on the Sm@rtServer on the server HMI device, you require write access to the Sm@rtClient side in order to end the screensaver on the server HMI device.

Avoiding corrupt files during power failure

If a power failure occurs in Windows systems while the WinCC system is active, files may be corrupt or destroyed. Operation with the NTFS file system provides better security.

Secure, continuous operation is only ensured by using an uninterruptible power supply (UPS).

Variable fonts on HMI devices

Windows 10 supports variable fonts ("OpenType Font Variations") since version 1709. You can also use the variants of a variable font in the engineering system. The actual display in Runtime depends on the HMI device and the installation conditions:

  • Basic Panels, Comfort Panels: Variable fonts are not supported. The basic version is always displayed.

  • Runtime Advanced, Runtime Professional: Variable fonts are supported if at least Windows 10 Version 1709 is used as the operating system and the font is installed with administrator rights.


Notes on operation of panels in Runtime

Contents Using the mouse wheel in Runtime Backup on the memory card of the PLC (Basic Panels) Panel Data Storage and S7-1500F (Basic Panels) "Panel Data Storage" function (Basic Panels) Fonts with file extension ".ttx" Mass data transfer with USB Modifying the IP address and device name for Panels
Notes on operation of panels in Runtime

Contents

Information that could not be included in the online help and important information about product features.

Using the mouse wheel in Runtime

The use of the mouse wheel in Runtime is not supported on all panels.

Backup on the memory card of the PLC (Basic Panels)

Create the backup file "A.psb" on the memory card of the PLC. An error, for example a connection break, occurs when creating the backup.
This will create a corrupt file on the memory card of the PLC. Such a file has "~$" as prefix.
Delete the file with the prefix "~$" if you want to save a backup again under the same name "A.psb".

Panel Data Storage and S7-1500F (Basic Panels)

The "Panel Data Storage" PDS function cannot be used on Basic Panels in conjunction with S7-1500F when the password for the protection level "Full access incl. fail-safe" is used.

"Panel Data Storage" function (Basic Panels)

The "Panel Data Storage" (PDS) function provided by Basic Panels is only supported by SIMATIC S7-1200 as of firmware V4.0 and SIMATIC S7-1500. For the PDS function, the panel must be connected directly with the CPU and must not be connected via the CP.

Fonts with file extension ".ttx"

The fonts with the file extension ".ttx" are available on all panels and Runtime Advanced and can be correctly displayed on all devices, for example, the "WinCC_flexible_smart" font.

Mass data transfer with USB

If you have installed Windows 10 on the configuration PC, the "USB" transfer channel is not available.

This restriction applies to the following devices and tools:

  • Basic Panels: KP300 Basic, KP400 Basic, TP1500 Basic

  • Mobile Panels: 170 series and 270 series

  • WinCC Engineering System

  • "ProSave" service tool

Note

The "USB" transfer channel remains available if Windows 7 is installed on the configuration PC.

Solution

Use other transfer channels to transfer the project data, such as the "Industrial Ethernet" or "PROFIBUS DP" channel.

Modifying the IP address and device name for Panels

On Comfort Panels, the IP address or the device name can be modified even during runtime.

On Basic Panels, modification of the IP address or the device name during runtime is not possible.


Notes on operation of Runtime Advanced

Contents Starting runtime Authorization for starting Runtime Advanced Screen saver on computers with Windows 10 Windows 10 in tablet mode .Net-Controls in Runtime Disabling automatic checking for software updates Access to array variables via OPC
Notes on operation of Runtime Advanced

Contents

Information that could not be included in the online help and important information about product features.

Starting runtime

Only WinCC Runtime V16 can be started from the Engineering System. Other versions of WinCC Runtime can only be simulated.

Authorization for starting Runtime Advanced

On a computer running the Windows operating system, WinCC Runtime Advanced can only be started if a user starting runtime is a member and has the rights of the group "Siemens TIA Engineer".

Screen saver on computers with Windows 10

On a computer with Windows 10, an activated screen saver is no longer terminated when an alarm of the "error" class is output.

Windows 10 in tablet mode

It is not recommended to use Windows 10 in tablet mode.

When running applications in tablet mode in Windows 10, for example Runtime Advanced, Sinumerik Operate, etc., these applications are minimized after starting.

.Net-Controls in Runtime

If you have incorporated a .Net control in your project as "Custom .Net control", you have to copy the files belonging to these controls to the installation directory of WinCC Runtime, e.g. "C:\ProgramFiles\Siemens\Automation\WinCC RT Advanced". Otherwise, the control cannot be loaded in runtime.

Disabling automatic checking for software updates

If the Engineering System is installed together with Runtime on a PC, the operator gets notifications above software updates. For the system to run reliably on a multi-station system, the same software version must be installed on all PCs.

It is possible to disable the automatic checking for software updates and to thus improve performance.

To disable the automatic checking for software updates, go to "Settings > General > Software updates" and deactivate the "Check for updates daily" option.

Access to array variables via OPC

If you use WinCC Runtime Advanced as an OPC UA server, reading array variables is only supported if the "OPC UA Server Array index range access" setting is activated.

Array variables can only be written if the OPC UA client supports the setting "Write array elements without IndexRange".


Notes on operation of Runtime Professional

Contents User authorizations within the operating system Locking shortcuts Undocked toolbars Fault in the connection between the server and the client Fault in the connection between the server and the client Starting WinCC Runtime Professional Setting the services for the SQL server "Report system error" in WinCC Runtime Professional WinCC interface and 64-bit operating system Dynamic graphics in WinCCViewer RT Runtime Professional: Loading a project without connection to the configuration PC Connection with S7-1200 in system diagnostics Disabling automatic checking for software updates Restriction in the online delta loading capability Screen objects in reports as PDF Projects in Runtime after Windows 10 update Memory requirement of logs
Notes on operation of Runtime Professional

Contents

Information that could not be included in the online help and important information about product features.

User authorizations within the operating system

  1. All user must be added to the "SIMATIC HMI" user group. This also applies to users who want to open WinCC projects remotely.

  2. The storage folders of the projects must have the NTFS authorizations "SIMATIC HMI" with full access and "SIMATIC HMI Viewer" with read access. The authorizations must be inherited for all subordinate objects.

Locking shortcuts

If you want to lock shortcut keys in Windows, you must change the group policies in the administrative tools of the operating system.

A detailed description of this can be found in the FAQ with the entry ID "44027453" in the SIMATIC Customer Online Support:

Internet: WinCC FAQ 44027453

Undocked toolbars

If the setting "Always on Top" is used for the Windows taskbar, undocked toolbars can be hidden behind the Windows taskbar in Runtime. Follow the steps below to show the toolbars again:

  1. Select the "Properties" command in the shortcut menu of the taskbar.

  2. Disable "Keep taskbar on top of other windows".

Fault in the connection between the server and the client

If the connection between the server and client is faulty, check the settings of the PG/PC interface. TCP/IP(Auto) should not be used for the "Interface Parameter Assignment Used". Used fixed IP addresses instead.

Fault in the connection between the server and the client

If the computer is simultaneously used as a server with the engineering system and a client cannot establish the connection to the server, you should check the releases set on the server.

  1. Exit Runtime on the server.

  2. Select the command "Find computer..." in the shortcut menu of the network environment on the desktop of the server.

  3. Enter the name of the server as the computer to be found.

  4. Open the computer found to see the shared directories.

  5. Remove all the releases that begin with "WinCC_Project_HMI". Information on this is available in the documentation for the operating system.

This malfunction is caused by the use of the command "Save as..." in conjunction with the startup of the Runtime of this new project. You can make copies of the projects for backup purposes using the "Save as..." command. You should, however, continue to work with the original project.

Starting WinCC Runtime Professional

If Engineering System and Runtime are operated on one computer, Runtime or simulation for a project opened in the Engineering System should only be started and ended using the TIA Portal. Other options, for example, the symbol in the taskbar information area, should not be used.

When you configure autostart on the client, you are required to enter the logon name and password for each registered server project. To assign each server a logon name, the entry of the respective project path must be confirmed with the "Apply" button. This means that you must enter a logon name and password twice for redundant or alternative projects.

Setting the services for the SQL server

In order to ensure the full functionality of the SQL server for WinCC and WinCC Runtime, you need to check the SQL server settings.

  1. Start "Programme > Microsoft SQL Server 2014 > Configuration Tools > SQL Server 2014 Configuration Manager" in the Start menu.

  2. Click "SQL Server Services" in the tree.

  3. Check the services "SQL Server (WinCC)", "SQL Server (WINCCPLUSMIG)" and "SQL Server Browser".
    "Automatic" must be entered for "Start Mode".
    "Log On As" must be entered for "LocalSystem" for "SQL Server (WinCC)".
    "SQL Server Browser" must be entered for "LOCALSERVICE".
    Change the settings, if necessary.

  4. Click "SQL Server Network Configuration" in the tree.

  5. Click "Protocols for WinCC".

  6. Check the "TCP/IP" protocol. "Enabled" must be entered for "Status". Change the settings, if necessary.

"Report system error" in WinCC Runtime Professional

The "Report system error" functionality is limited in WinCC Runtime Professional in conjunction with an S7-300 or S7-400. In an alarm view, only one alarm is ever displayed for each diagnostics type. Alarms on other errors of the same diagnostics type are not displayed.

WinCC interface and 64-bit operating system

The open interfaces of WinCC Runtime Professional do not offer native 64-bit support. Runtime API, VBS and the WinCC OleDB provider are primarily affected by this. To be able to use WinCC interfaces with a 64-bit operating system, note the following:
- VB scripts cannot be started by simply double-clicking. You must explicitly use the 32-bit version under "syswow64\wscript.exe".
- .NET applications that use the WinCC API have to be explicitly compiled as 32-bit applications, not with "AnyCPU", but with "x86".
- C++ applications must not be compiled as 64-bit applications.

Dynamic graphics in WinCCViewer RT

If you use dynamic graphics from a graphics collection, e.g. linked with scripts, these graphics are not updated in the WinCCViewer RT.

Select the "User-defined" option under "Runtime Settings > Graphic Settings".

Runtime Professional: Loading a project without connection to the configuration PC

Before you begin to load a project on the operator station, backup data such as "User administration" and "Recipe data".

  1. User administration data are overwritten by default.

    Therefore, configure two buttons in your project for exporting and importing the user administration with the system function "ExportUserManagement". The data only needs to be exported if you have made changes to the user view in Runtime.

  2. In the "Load preview" dialog, specify whether recipe data should be overwritten when loading the project.

    You can save recipe data in the recipe view using the operator controls "Export log" and "Import log".

Note that the most recently imported or loaded data are used in Runtime.

Connection with S7-1200 in system diagnostics

Only a WinCC Runtime Professional HMI system can be connected with an S7-1200 (up to V3) when you use system diagnostics.

Disabling automatic checking for software updates

If the Engineering System is installed together with Runtime on a PC, the operator gets notifications above software updates. For the system to run reliably on a multi-station system, the same software version must be installed on all PCs.

It is possible to disable the automatic checking for software updates and to thus improve performance.

To disable the automatic checking for software updates, go to "Settings > General > Software updates" and clear the "Check daily for updates" check box.

Restriction in the online delta loading capability

When you replace a design, the online delta loading capability of the project is lost. TIA Portal does not output an error message in this case.

Screen objects in reports as PDF

The quality of the screen objects in the reports that you generate in Runtime as PDF files depends on the PDF printer drivers used.

Projects in Runtime after Windows 10 update

You have installed Windows 10 version 1709 on a PC with WinCC Professional V15 and a PC with WinCC Professional RT V15. You have performed a Windows 10 update to version 1803 on the Runtime PC. After the Windows 10 update, it may no longer be possible in Runtime to manually open a project loaded from the engineering system PC.

Remedy: Set the start type of the service for the WinCC SQL instance manually to "Automatic (Delayed Start)" and restart the system.

Memory requirement of logs

To calculate the memory requirement for alarms across all segments and for individual segments, you need information on how many alarms are received as average per second. The maximum memory requirement of an alarm of approx. 4000 bytes is taken into account. The following applies:
Memory requirement = Number of alarms/s * 4000 bytes * 60 s/min * 60 min/h * 24 h/day * 31 days/month * y months.

The example is based on one alarm per second:

  • The maximum size across all segments for 2 months is approx. 20 GB

  • For a single segment it is approx. 330 MB per day

To calculate the storage requirements for data logs across all segments and for individual segments, you need information about how many values are logged per second and the average length of a process value. The following applies:
Memory requirement = number of log values/s * x bytes * 60 s/min * 60 min/h * 24 h/day * 31 days/month * y months

The example is based on 750 log values per second:

  • For process values with 16 bytes, this results in a memory requirement of approx. 60 GB

  • For process value with 6 bytes, this results in a memory requirement of approx. 22 GB


HMI devices

HMI devices

This section contains information on the following topics:
  • Notes on HMI devices


Notes on HMI devices

Contents Unsupported HMI devices (as of TIA Portal V15) Unsupported HMI devices (as of TIA Portal V15.1) Unsupported HMI devices (as of TIA Portal V16) Multi-key operation HMI devices with high communication load TS Adapter with Ethernet interface Simulation with real PLC connection Simulation of the Basic Panels Basic Panels 2nd Generation HMI devices with operating system Windows CE 5.0 or higher Connection switch in the Control Panel with Basic Panels Printing alarms (Mobile Panel) DHCP on KTP 400 PN, KTP 700 PN and KTP 900 PN Mobile Panel Sm@rtServer with Mobile Panels Simulation of Basic Panels 2nd Generation Installing fonts Interruption of the DH485 connection VB "CDate" function (Comfort Panels) Delete browser cache (panel)
PI Mobile
Notes on HMI devices

Contents

Information that could not be included in the online help and important information about product features.

Unsupported HMI devices (as of TIA Portal V15)

All HMI devices with version 11.x are no longer supported as of TIA Portal V15.

The following HMI devices are no longer supported as of TIA Portal V15:

  • WinAC MP 177, WinAC MP 277, WinAC MP 377

  • Panels: OP and TP of the 70 series, 170 series and 270 series

  • Multi Panels: Multi Panels of the 170 series, 270 series and 370 series

In order to use other devices in TIA Portal V15, for example Basic, Comfort or Mobile Panels, that have been configured with version 11.x, change the device version of the device in question.

The storage structure in the installation directory also no longer contains data for 11.0. This helps to reduce the size of the TIA Portal installation package compared to the previous versions.

Unsupported HMI devices (as of TIA Portal V15.1)

The following HMI devices are no longer supported as of TIA Portal V15.1:

  • WinCC Runtime Advanced V11

Unsupported HMI devices (as of TIA Portal V16)

The following HMI devices are no longer supported as of TIA Portal V15.1:

  • Mobile Panel with device version 12.x

  • Comfort Panel with device version 12.x

  • KP1500 Comfort with device version 13.x

  • TP1500 Comfort with device version 13.x

  • TP1900 Comfort with device version 13.x

  • TP2200 Comfort with device version 13.x

Multi-key operation

Unintentional actions can be triggered by multi-key operation:

  • When you are using a key device, you cannot press more than two function keys at the same time.

  • When you are using a touch device, a standard PC or a panel PC, you can only press one function key or button at the same time.

HMI devices with high communication load

S7 Diagnostics should be enabled if a Panel is assigned many connections to PLCs or other HMI devices. Otherwise, you will risk overloading the panel.

TS Adapter with Ethernet interface

If an HMI device is connected via Ethernet and a TS adapter, it can not be reset to factory settings.

Simulation with real PLC connection

The access point used by the simulation is independent from the settings of the engineering system and can only be altered in the Control Panel with the "Setting PG/PC Interface" tool. If the PLC connection is terminated right after the start of the simulation with alarm 140001, you should check the access point used by the simulation with "Setting PG/PC Interface".

  1. Double-click "Setting PG/PC Interface" in the Control Panel. A dialog opens.

  2. Select "S7ONLINE" in the "Access point of application" field as standard for HMI.

  3. Select the interface in the "Interface Parameter Assignment Used" area.

  4. Exit the "Set PG/PC Interface" dialog with OK.

Simulation of the Basic Panels

Use an output field in an alarm text to output an external tag. The content of this output field will then always be displayed with "0" during simulation.

Basic Panels 2nd Generation

Basic Panel 2nd Generation support the Sm@rtServer option.

If you are not using a USB hub, select the USB port USB_X60.1 as storage path.

HMI devices with operating system Windows CE 5.0 or higher

Owing to a modified client-server communication security setting, the time difference between the HMI device (client) and PC (server) must not exceed 1 day. If you back up recipe data from the HMI device on a network drive, for example, make sure that the time is set correctly on the PC (server) and the HMI device (client).

Connection switch in the Control Panel with Basic Panels

If you use the "Override protected connection information" function, the following restriction applies:

You cannot perform a connection switch in the Control Panel of a Basic Panel from a PLC without a protection level to a PLC with a "Complete protection" level.

Printing alarms (Mobile Panel)

It is not possible to print alarms as PDF or HTML when the internal memory "/flash" is selected as "Storage Location". To print alarms as PDF or HTML, select an SD memory card or a USB stick as storage location.

DHCP on KTP 400 PN, KTP 700 PN and KTP 900 PN

Operation with DHCP is not recommended for the KTP 400 PN, KTP 700 PN and KTP 900 PN devices.

In some circumstances, it is possible that the device will no longer boot. If that is the case, detach the network cable and reboot the device. After successfully startup, assign a fixed IP address.

Mobile Panel

Mobile Panels 2nd Generation can be configured with TIA Portal V16 in the device version V15. The compiled project cannot be downloaded to these devices, however.

To work with Mobile Panels 2nd Generation in TIA Portal V16, an upgrade to at least device version V15.1 is necessary.

Sm@rtServer with Mobile Panels

The evaluation of the safety operation via PROFIsafe is only guaranteed if the Sm@rtServer is disabled on the panel.

The use of Sm@rtServer on devices without a safety function is not recommended.

Simulation of Basic Panels 2nd Generation

3D hardware acceleration of the graphics card should be enabled for simulating the Basic Panels 2nd Generation.

Installing fonts

If you have installed new fonts on a panel with ProSave, you will need to restart the panel. The duration of the runtime startup process depends on the number and size of fonts.

Interruption of the DH485 connection

If you connect the Ethernet cable to the "PN_X1" connector of the HMI panel with Comfort Panels, the DH485 connection might be interrupted.

Remedy for Comfort Redesign/PRO Panels: When running the DH485 project on the HMI Panel, use the connector "PN_X3(Gigabit)" for Ethernet communication.

VB "CDate" function (Comfort Panels)

You can only use the VB "CDate" function with static parameters on the following HMI devices:

  • TP1200 Comfort Pro

  • TP1500 Comfort Pro / V2

  • TP1900 Comfort Pro / V2

  • TP2200 Comfort Pro / V2

Delete browser cache (panel)

If you notice that the loading of websites in the HTML browser takes significantly longer, this might be caused by the browser cache. Execute the following VBS function in Runtime to delete the browser cache. You can also configure this VBS function as regular task in the Task Scheduler.

Copies the following program code to clipboard.

Sub T7_DeleteBrowserCache()

' delete Browsercache filled temporary objects

Dim fso, nFileIndex,sFileName, nFileAttr, folder

On Error Resume Next

' Variable to show script is active

SmartTags("DeleteBrowserCacheActive") = True

folder = "\flash\simatic\Browsercache\data7\"

' Windows CE

Set fso = CreateObject("FileCtl.FileSystem")

' Get first item that matches path

sFileName = fso.Dir(folder & "*.*")

nFileIndex = 0

'Get the rest of matches

Do While sFileName <> ""

nFileAttr = fso.GetAttr(folder & sFileName)

If (nFileAttr And 16) <> 0 Then

fso.Kill("\flash\simatic\Browsercache\data7\"&sFileName&"\*.*")

If Err.Number <>0 Then

Err.Clear

End If

End If

nFileIndex = nFileIndex + 1

sFileName = fso.Dir

Loop

Set fso = Nothing

SmartTags("DeleteBrowserCacheActive") = False

End Sub


Add-ons

Add-ons

This section contains information on the following topics:
  • Sm@rtServer
  • Audit
  • DataMonitor
  • WebNavigator
  • WebUX
  • Redundancy
  • SIMATIC Information Server


Sm@rtServer

Content Opening SmartClient *.sac files under Windows 10
Sm@rtServer

Content

Information that could not be included in the online help and important information about product features.

Opening SmartClient *.sac files under Windows 10

You save the data of the current SmartServer connection using the executable file SmartClient.exe with the *.sac format. To open the files generated in this way automatically under Windows 10, a *.sac file with SmartClient.exe must be opened once manually via the selection button and dialog in SmartClient.exe.


Audit

Contents WinCC Audit Viewer 7.2 Update
Audit

Contents

Information that could not be included in the online help and important information about product properties.

WinCC Audit Viewer 7.2 Update

An update for manual installation is available for WinCC Audit Viewer 7.2, which can be installed optionally.

Install the update for WinCC Audit Viewer 7.2 by running the "AuditViewer_V72_00_Upd1.exe" file from the Support directory on the product DVD.


DataMonitor

Contents Removal of WinCC Runtime Excel-Workbook on a PC with Windows 7 Channel diagnostics view Time zone of Web parts
DataMonitor

Contents

Information that could no longer be included in the online help and important information about product features.

Removal of WinCC Runtime

If you also want to use DataMonitor after removing WinCC Runtime Professional, you have to perform a repair of the installation as follows:

  1. Open the Control Panel.

  2. Double-click on "Add/Remove Programs".

  3. Select "SIMATIC WinCC/DataMonitor client" in the list of programs installed

  4. Click on the "Change/Remove" button.

  5. Select the "Repair" setting in the WinCC/DataMonitor setup.

Excel-Workbook on a PC with Windows 7

If you operate Excel-Workbook on a PC with Windows 7, you need to disable the "Aero Glass" display mode.

Channel diagnostics view

The "Channel diagnostics view" object is not supported by the option WinCC DataMonitor.

Time zone of Web parts

When you create and configure a Web part in a specific time zone in the Web center, the time zone is stored in the Web center.

If the time zone is changed in the operating system, this can lead to an incorrect display of the time in the Web part.


WebNavigator

Contents Removal of WinCC Runtime Virus scanner Trend Micro OfficeScan ProDiag overview, GRAPH overview and PLC code view Characters not permitted in WinCC WebNavigator Channel diagnostics Delay when outputting the WebNavigator screens
WebNavigator

Contents

Information that could not be included in the online help and important information about product features.

Removal of WinCC Runtime

If you also want to use WebNavigator after removing WinCC Runtime Professional, you have to perform a repair of the installation as follows:

  1. Open the Control Panel.

  2. Double-click on "Add/Remove Programs".

  3. Select "SIMATIC WinCC/WebNavigator client" in the list of programs installed

  4. Click on the "Change/Remove" button.

  5. Select the "Repair" setting in the WinCC/WebNavigator setup.

Virus scanner Trend Micro OfficeScan

It is not recommended to use the virus scanner of Trend Micro OfficeScan in combination with WebNavigator, as this virus scanner may have an adverse impact on screen loading times.

ProDiag overview, GRAPH overview and PLC code view

The WinCC option Web Navigator does not support the use of the WinCC objects "GRAPH overview", "ProDiag overview" and "PLC code view".

Characters not permitted in WinCC WebNavigator

Use the characters of the ASCII character set in the picture names and project names. Do not use any special characters or national special characters.

Channel diagnostics

The object "Channel diagnostics" is not supported by the option WinCC WebNavigator.

Delay when outputting the WebNavigator screens

Due to the Web server technology, it can occur that updated WebNavigator screens are output with a delay in runtime.


WebUX

Contents Automatic login
WebUX

Contents

Information that could not be included in the online help and important information about product features.

Automatic login

If automatic login is no longer desired, you must delete the browser history in the respective browser.


Redundancy

Contents Name in configuration of a redundant system
Redundancy

Contents

Information that could not be included in the online help and important information about product features.

Name in configuration of a redundant system

Only the computer name of the HMI devices is relevant for the configuration of a redundant system. You set the computer name of the HMI device in its operating system. The name of the HMI device from the project tree is only used for identification of the HMI device in the project.


SIMATIC Information Server

Contents Installation of SIMATIC Information Server and WinCC Runtime Professional on one PC
SIMATIC Information Server

Contents

Information that could not be included in the online help and important information about product features.

Installation of SIMATIC Information Server and WinCC Runtime Professional on one PC

To set up the SIMATIC Information Server and WinCC Runtime Professional on one PC, adhere to the following installation sequence:

  1. Install WinCC Runtime Professional.

  2. Install the Information Server.

If you do not follow the installation sequence, connection problems may occur.